$game-footer-width: 100% !default;
$game-footer-height: rhythm(3) !default;
$game-footer-margin: rhythm(2) 0 0 0 !default;

$game-player-label-margin: 0 10px 0 0 !default;

$game-mode-human-color: color('black') !default;
$game-mode-computer-color: color('black') !default;
$game-mode-text-transform: lowercase !default;
$game-mode-font-size: map-get($font-sizes, 'tiny') !default;
$game-mode-label-margin: 0 10px 0 0 !default;


.#{$namespace}-game-footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: $game-footer-width;
  height: $game-footer-height;
  margin: $game-footer-margin;


  &__player {
    flex: 1 1 auto;
    width: auto;

    .#{$namespace}-label__text {
      margin: $game-player-label-margin;
    }
  }


  &__mode {
    flex: 0 0 auto;
    width: auto;

    .#{$namespace}-label__text {
      margin: $game-mode-label-margin;
    }

    &__change {
      order: 2;
      margin: 0 1ex;

      &:checked {
        & ~ .#{$namespace}-game-footer__mode__computer {
          opacity: 1;
          color: $game-mode-computer-color;
        }
      }

      &:not(:checked) {
        & ~ .#{$namespace}-game-footer__mode__friend {
          opacity: 1;
          color: $game-mode-human-color;
        }
      }
    }

    &__friend,
    &__computer {
      opacity: .2;
      cursor: pointer;
      text-transform: $game-mode-text-transform;

      &::before,
      &::after {
        font-size: $game-mode-font-size;
      }
    }

    &__friend {
      order: 1;

      &::before {
        content: attr(title);
        margin: 0 1ex 0 0;
      }
    }

    &__computer {
      order: 3;

      &::after {
        content: attr(title);
        margin: 0 0 0 1ex;
      }
    }
  }
}


@include respond-to('small') {
  .#{$namespace}-game-footer {
    height: rhythm(1);

    &__mode__change {
      margin: 0 10px;
    }

    &__mode__friend,
    &__mode__computer {
      &::before, &::after {
        display: none;
      }
    }
  }
}